////////////////////////////////////////////////////
// IceFileSearch.h 
// class IceFileSearch manages searching for and in 
// files and directories
// created: mig 000911
///////////////////////////////////////////////////

#ifndef ICEFILESEARCH_H
#define ICEFILESEARCH_H

#include "IceMC.h"

#include <qfileinfo.h>

class IceFileSearch
{
 public:
  IceFileSearch();
  ~IceFileSearch();
  QString fileReadable(QString name, QString path=0);
  QString fileExecutable(QString name, QString path=0);
  QString dirReadable(QString name, QString path=0);
  QString iconReadable(QString name, QString path=0);
  QString getArgument(QString file, QString param);
 private:
  QString lookupFile(QString name, const QString path=0, bool dir=false);
  // data
  QFileInfo* fInfo;
};

// TODO: implement methods for searching arguments of parameters in files

#endif
