#ifndef ICEPATHDIALOG_H_USED
#define ICEPATHDIALOG_H_USED

#include "IceMC.h"

#include <qdialog.h>
#include <qlineedit.h>

class IcePathDialog : public QDialog
{
  Q_OBJECT
public:
  IcePathDialog(QWidget * parent=0, const char * name=0, bool modal=false, WFlags f=0);
  ~IcePathDialog();
  QString getCustomLibPath();
  QString getCustomIconPath();
  static void clearCustomPaths();
protected slots:
  virtual void accept (); 
private:
  static QString customLibPath;
  static QString customIconPath;
  QLineEdit* libEdit;
  QLineEdit* iconEdit;
};

#endif


